Multifinance

Inquiry

API to inquiry Multifinance.

Path

MethodPath
POSTapi/v1/bill/check

Test Case

CodeNumberResponse
FNMEGA6391600000Success
FNMEGA6391600001Inquiry - Invoice Has Been Paid
FNMEGA6391600014Inquiry - Incorrect Destination Number
FNMEGA6391600103Inquiry - Time Out
FNMEGA6391601037Payment - Payment Failed
FNMEGA6391601039Payment - Pending / transaction in process
FNMEGA6391601105Payment - MISC Error / Biller System Error
FNMEGA639160XXXXTest other response scenarios in the test case menu.

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: inq-pascaYes
usernameStringYour registered phone numberYes
codeStringProduct Code. You can get list of product code in pricelist api or from pricelist hereYes
hpStringContract numberYes
ref_idStringYour order number / reference ID ( must unique )Yes
signStringSignature. Value: md5(username+api_key+ref_id)Yes
{
  "commands"    : "inq-pasca",
  "username"    : "123123123",
  "code"        : "FNMEGA",
  "hp"          : "6391600000",
  "ref_id"      : "09128374652",
  "sign"        : "3743ec3e02f9076ea56e2f61be698a8e"
}

Response

Loading...
{
  "data": {},
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for inquiry code explanation using Laravel.

Video thumbnail

Or you can see this video for inquiry code explanation using PHP.

Video thumbnail